From 85f31fa6f5fa694c3fd3c14e0a7acc6a8ac3f1fe Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Apr 23 2024 03:03:58 +0000
Subject: [PATCH 127/220] trying out cargo vendor again


---

diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index a5d5a8e..ca13e2a 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -72,6 +72,8 @@ Recommends:     cosmic-session
 
 %description %{_description}
 
+%define git_versioning sed 's/\([[:alnum:][:punct:]]* v[0-9.]*\) (https:\/\/github.com\/[^#]*#\([a-f0-9]*\))/\1^git\2/' -i cargo-vendor.txt
+
 %prep
 %autosetup -n cosmic-comp-%{commit} -p1 -a1
 %cargo_prep -N
@@ -82,6 +84,8 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+%{git_versioning}
+
 
 %install
 make install DESTDIR=%{buildroot} prefix=%{_prefix}
@@ -95,7 +99,7 @@ install -Dm0644 config.ron %{buildroot}/%{_sysconfdir}/cosmic-comp/config.ron
 %files
 %license LICENSE
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %{_bindir}/cosmic-comp
 %config(noreplace) %{_sysconfdir}/cosmic-comp/config.ron
 
